﻿@attribute [Authorize(Roles = "Administrator, superuser")]
@page "/admin/complain"
@layout Shared.Admin.MainLayout


<center>
    <h3>Complains</h3>
    <br /><br />
    @if (complainList.Count > 0)
    {
        <div class="container-fluid">
            @foreach (var complain in complainList)
            {

                <div class="card row border-info">
                    <div class="col-12 form-row card-body">
                        <div class="col-6 form-inline">
                            <label class="col-sm-4 col-form-label">Reportee: </label>
                            <input class="form-control col-8" type="text" @bind="complain.Reportee.Name" name="name" disabled />
                        </div>

                        <div class="col-6 form-inline">
                            <label class="col-sm-4 col-form-label">Reporter: </label>
                            <input class="form-control col-8" type="tel" @bind="complain.Reporter.Name" name="mobileNo" disabled />
                        </div>
                    </div>

                    <div class="col-12 form-row card-body" style="padding-top: inherit;">
                        <div class="col-12 form-inline">
                            <label class="col-sm-2 col-form-label">Reason: </label>
                            <textarea class="form-control col-10" type="text" @bind="complain.Description" name="Reason" disabled />
                        </div>
                    </div>

                    <div class="col-12 form-row card-body" style="padding-top: inherit;">
                        <div class="col-6 form-inline">
                            <label class="col-sm-4 col-form-label">Date: </label>
                            <input class="form-control col-8" type="text" @bind="complain.CreatedAt" name="mobileNo" disabled />
                        </div>

                        <div class="col-6 form-inline">
                            <button class="form-control btn btn-info" type="button" @onclick="@(e => ChangeComplainActiveStatusAsync(complain.Id))" name="(@complain.Id+btn)"><span class="oi oi-check"></span> Complete</button>
                        </div>
                    </div>
                </div>
                <br />
            }
        </div>
    }
    else
    {
        <div class="alert-info">
            <label class="text-center">No Record Found</label>
        </div>
    }
</center>


@code {

}
